Query the validity period of temporary account
**!!! We recommend that you use the query order interface to directly return the validity period of an account and know the current status of the order!!! **
**!!! We recommend that you use the query order interface to directly return the validity period of an account and know the current status of the order!!! **
/api/v2/member/h5/general/getTemporaryAccount| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| accountNo | String | 32 | yes | Virtual account number (payerVirtualAccNo field in order information) |
| accountType | String | 32 | yes | AccountType, Fixed pass-1 (payerAccountType field in order information) |
| orderNo | String | 32 | yes | The palmpay order number bound to the account, which is required to verify the validity of the account. |
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| accountType | String | 200 | No | Account type |
| accountNo | String | 200 | No | Virtual account number |
| accountState | Int | - | No | Account status (1 available, 0 unavailable) |
| expireTime | Date | - | No | Account expiration time |
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/member/h5/general/getTemporaryAccount' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{
"requestTime": 1662171389940,
"version": "V1.1",
"nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
"accountId": "1558616686273",
"accountType": "",
"orderNo": ""
}'{
"respCode": "00000000",
"respMsg": "success",
"data": {
"accountId": "1558616686273",
"accountType": "362019052313044587518762420",
"owner": "CH1913953825",
"expireTime": "36"
}
}